Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.spi
Interface DocumentMetadataDef

All Known Implementing Classes:
  DefaultDocumentMetadata

public interface DocumentMetadataDef

The representation of a document's metadata.

Method Summary
`Object` | `getAttribute(String attributeName)` Deprecated. Return the value of the named attribute.
`Collection` | `getAttributeNames()` Deprecated. Return the list of all the attribute names in this metedata.
`String` | `getAuthor()` Deprecated. Get the identifier of the user who created the document.
`String` | `getComments()` Deprecated. Get any free form text comments about the document.
`Timestamp` | `getCreationDate()` Deprecated. Get the date the document was created on.
`String` | `getDescription()` Deprecated. Get a free form text description of the document.
`String` | `getID()` Deprecated. Get the unique id of the document.
`String` | `getLastModifiedBy()` Deprecated. Get the identifier of the user who last modified the document.
`Timestamp` | `getLastModifiedDate()` Deprecated. Get the date the document was last modified on.
`String` | `getLockedBy()` Deprecated. Get the identifier of the user who has the document locked (null if not locked).
`String` | `getMimeType()` Deprecated. Get the mime type of the document, in "major/minor" MIME format (e.g.
`String` | `getName()` Deprecated. Get the name of the document.
`long` | `getSize()` Deprecated. Get the size of the document in bytes.
`int` | `getVersion()` Deprecated. Get the version number of the document.

Method Detail

### getAttribute

    public Object getAttribute(String attributeName)
                        throws DocumentException

  Deprecated.
  Return the value of the named attribute.

  If the attribute is multi-valued, this can be a Collection. Otherwise, it will be a String, Number, Boolean, or Timestamp.

  This only needs to return values for attributes that do not correspond to a get method on this interface.

  Parameters:
    `attributeName` - the name of the attribute.
  Returns:
    the value of the attribute (null if not set).
  Throws:
    `DocumentException` - thrown on an error.

### getAttributeNames

    public Collection getAttributeNames()
                                 throws DocumentException

  Deprecated.
  Return the list of all the attribute names in this metedata.

  This is not the list of all the possible values for this document (that comes from the DocumentSchemaDef).

  Returns:
    the list of String attribute names.
  Throws:
    `DocumentException` - thrown on an error.

### getID

    public String getID()
                 throws DocumentException

  Deprecated.
  Get the unique id of the document.

  Throws:
    `DocumentException` - thrown on an error.

### getName

    public String getName()
                   throws DocumentException

  Deprecated.
  Get the name of the document.

  This will generally correspond to the original file name of the document.

  Throws:
    `DocumentException` - thrown on an error.

### getVersion

    public int getVersion()
                   throws DocumentException

  Deprecated.
  Get the version number of the document.

  Throws:
    `DocumentException` - thrown on an error.

### getLockedBy

    public String getLockedBy()
                       throws DocumentException

  Deprecated.
  Get the identifier of the user who has the document locked (null if not locked).

  Throws:
    `DocumentException` - thrown on an error.

### getSize

    public long getSize()
                 throws DocumentException

  Deprecated.
  Get the size of the document in bytes.

  Throws:
    `DocumentException` - thrown on an error.

### getAuthor

    public String getAuthor()
                     throws DocumentException

  Deprecated.
  Get the identifier of the user who created the document.

  Throws:
    `DocumentException` - thrown on an error.

### getCreationDate

    public Timestamp getCreationDate()
                              throws DocumentException

  Deprecated.
  Get the date the document was created on.

  Throws:
    `DocumentException` - thrown on an error.

### getLastModifiedBy

    public String getLastModifiedBy()
                             throws DocumentException

  Deprecated.
  Get the identifier of the user who last modified the document.

  Throws:
    `DocumentException` - thrown on an error.

### getLastModifiedDate

    public Timestamp getLastModifiedDate()
                                  throws DocumentException

  Deprecated.
  Get the date the document was last modified on.

  Throws:
    `DocumentException` - thrown on an error.

### getDescription

    public String getDescription()
                          throws DocumentException

  Deprecated.
  Get a free form text description of the document.

  Throws:
    `DocumentException` - thrown on an error.

### getComments

    public String getComments()
                       throws DocumentException

  Deprecated.
  Get any free form text comments about the document.

  Throws:
    `DocumentException` - thrown on an error.

### getMimeType

    public String getMimeType()
                       throws DocumentException

  Deprecated.
  Get the mime type of the document, in "major/minor" MIME format (e.g. "text/html", "application/x-banner-ad").

  Throws:
    `DocumentException` - thrown on an error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved